//
//  AssetCollectionViewCell.swift
//  PhotoRank
//
//  Created by Shadowfacts on 8/3/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit
import Photos

class AssetCollectionViewCell: UICollectionViewCell {

    var assetIdentifier: String!
    var thumbnailImage: UIImage? {
        didSet {
            imageView.image = thumbnailImage
        }
    }
    
    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var visualEffectView: UIVisualEffectView!

    override var isSelected: Bool {
        didSet {
            visualEffectView.isHidden = !isSelected
        }
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        visualEffectView.layer.masksToBounds = true
        visualEffectView.layer.cornerRadius = 12
        
        visualEffectView.isHidden = true
    }
    
    override func prepareForReuse() {
        super.prepareForReuse()
        
        imageView.image = nil
    }

}
